import React from 'react';
import renderer from 'react-test-renderer';
import 'jest-styled-components';
import { LoaderIcon } from './LoaderIcon';

it('renderizar default', () => {
   const tree = renderer.create(<LoaderIcon />).toJSON();
   expect(tree).toMatchSnapshot();
});

it('renderizar with color', () => {
   const tree = renderer.create(<LoaderIcon color="orange" />).toJSON();
   expect(tree).toMatchSnapshot();
});

it('renderizar with size', () => {
   const tree = renderer.create(<LoaderIcon size={92} />).toJSON();
   expect(tree).toMatchSnapshot();
});
